--- title: "Suspend user" slug: "gamepot-postmemberblock" updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/gamepot-postmemberblock" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Suspend user Available in Classic and VPC Specify a user to suspend. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /v2/memberblock | ### Request headers For information about the headers common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 request headers](/docs/en/gamepot-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `memberId` | String | Required | User ID - Check from **User > List** in the GAMEPOT 3.0 dashboard. | | `type` | String | Required | Suspension classification - `manual` \| `autopurchase` - `manual`: Manual - `autopurchase`: Automatic | | `status` | Integer | Required | Suspension status - `1` \| `2` - `1`: Enabled - `2`: Disabled (suspension removed) | | `messageMulti` | Array | Required | Suspension reason multilingual information: [messageMulti](/docs/en/gamepot-postmemberblock#messageMulti1) | | `startedAt` | String | Required | Suspension start date and time - YYYY-MM-DD HH:mm format | | `endedAt` | String | Required | Suspension end date and time - YYYY-MM-DD HH:mm format | #### `messageMulti` The following describes `messageMulti`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `lang` | String | Required | Language code - `ko` \| `en` \| `ja` \| `zh-Hant` - `ko`: Korean - `en`: English - `ja`: Japanese - `zh-Hant`: Chinese (Traditional) | | `value` | String | Required | Reason message | | `default` | Boolean | Required | Whether it is in default language - `true` \| `false` - `true`: Default language - `false`: Not default language | ### Request example The request example is as follows: ``` curl --location --request POST 'https://dashboard-api.gamepot.ntruss.com/v2/memberblock' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project ID}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "memberId": "cc5f0f0e-****-****-****-28ffa3cee470", "type": "manual", "status": 1, "messageMulti": [ { "lang": "ko", "value": "당신은 정지되었습니다.", "default": true }, { "lang": "en", "value": "Using the service is blocked by the admin", "default": false } ], "startedAt": "2025-09-24 00:38", "endedAt": "2025-09-24 06:38" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `memberBlock` | Object | - | Suspension history | | `memberBlock.id` | String | - | Suspended ID | | `memberBlock.member_id` | String | - | User ID | | `memberBlock.deleted` | Boolean | - | Suspension history deletion status - `true` \| `false` - `true`: Delete - `false`: Not delete | | `memberBlock.type` | String | - | Suspension classification - `manual` \| `autopurchase` - `manual`: Manual - `autopurchase`: Automatic | | `memberBlock.status` | Integer | - | Suspension status - `1` \| `2` - `1`: Enabled - `2`: Disabled (suspension removed) | | `memberBlock.message` | String | - | Reason for suspension - Currently not in use, marked as null | | `memberBlock.messageMulti` | Array | - | Suspension reason multilingual information: [messageMulti](/docs/en/gamepot-postmemberblock#messageMulti2) | | `memberBlock.startedAt` | String | - | Suspension start date and time - ISO 8601 format | | `memberBlock.endedAt` | String | - | Suspension end date and time - ISO 8601 format | | `memberBlock.createdAt` | String | - | Suspension history creation date and time - ISO 8601 format | | `memberBlock.updatedAt` | String | - | Suspension history modification date and time - ISO 8601 format | | `memberBlock.deletedAt` | String | - | Suspension history deletion date and time - ISO 8601 format | | `memberBlock.category_id` | String | - | Suspension classification ID | #### `messageMulti` The following describes `messageMulti`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `lang` | String | - | Language code | | `value` | String | - | Reason message | | `default` | Boolean | - | Whether it is in default language - `true` \| `false` - `true`: Default language - `false`: Not default language | ### Response status codes For information about the response status codes common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 response status codes](/docs/en/gamepot-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "memberBlock": { "id": "TWVtYmVyQ*******************************************ZjA1NTRlYWUw", "member_id": "cc5f0f0e-****-****-****-28ffa3cee470", "deleted": null, "type": "manual", "status": 1, "message": null, "messageMulti": [ { "lang": "ko", "value": "당신은 정지되었습니다.", "default": true }, { "lang": "en", "value": "Using the service is blocked by the admin", "default": false } ], "startedAt": "2025-09-24T00:38:00+09:00", "endedAt": "2025-09-24T06:38:00+09:00", "createdAt": null, "updatedAt": null, "deletedAt": null, "category_id": null } } ```